Package com.orchestranetworks.schema.info

# Enum Class SchemaFacetBlocksCommit

java.lang.Object
java.lang.Enum<SchemaFacetBlocksCommit>
com.orchestranetworks.schema.info.SchemaFacetBlocksCommit

All Implemented Interfaces:
  `Serializable`, `Comparable<SchemaFacetBlocksCommit>`, `Constable`

public enum SchemaFacetBlocksCommit extends Enum<SchemaFacetBlocksCommit>
Represents the blocking policy defined by a facet using the property `osd:validation/blocksCommit`.

Since:
  6.0.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NEVER`
  `ON_INSERT_UPDATE_DELETE`
  `USER_SUBMIT_CHECK_MODIFIED_VALUES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getName()`
  `boolean`
  `isNever()`
  `boolean`
  `isOnInsertUpdateOrDelete()`
  `boolean`
  `isUserSubmitCheckModifiedValues()`
  `static SchemaFacetBlocksCommit`
  `parse(String aValue)`
  `String`
  `toString()`
  `static SchemaFacetBlocksCommit`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SchemaFacetBlocksCommit[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ON_INSERT_UPDATE_DELETE

    public static final SchemaFacetBlocksCommit ON_INSERT_UPDATE_DELETE

  - ### USER_SUBMIT_CHECK_MODIFIED_VALUES

    public static final SchemaFacetBlocksCommit USER_SUBMIT_CHECK_MODIFIED_VALUES

  - ### NEVER

    public static final SchemaFacetBlocksCommit NEVER

- ## Method Details

  - ### values

    public static SchemaFacetBlocksCommit[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SchemaFacetBlocksCommit valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public final String getName()

  - ### parse

    public static SchemaFacetBlocksCommit parse(String aValue)

  - ### isOnInsertUpdateOrDelete

    public boolean isOnInsertUpdateOrDelete()

  - ### isUserSubmitCheckModifiedValues

    public boolean isUserSubmitCheckModifiedValues()

  - ### isNever

    public boolean isNever()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<SchemaFacetBlocksCommit>`